#!/bin/sh

# helper script to import old (<1.0.2-1) database settings for
# dbconfig-common

SETTINGS='/etc/webcalendar/settings.php'

if [ ! -f $SETTINGS ]; then
    exit 0
fi

db_type=`grep db_type $SETTINGS | awk '{print $2}'`
db_host=`grep db_host $SETTINGS | awk '{print $2}'`
db_database=`grep db_database $SETTINGS | awk '{print $2}'`
db_login=`grep db_login $SETTINGS | awk '{print $2}'`
db_password=`grep db_password $SETTINGS | awk '{print $2}'`

if [ "x"$db_type = 'xpostgresql' ] ; then
    db_type='pgsql';
fi

echo "dbc_dbuser=$db_login"
echo "dbc_dbpass=$db_password"
echo "dbc_dbname=$db_database"
echo "dbc_dbserver=$db_host"
echo "dbc_dbtype=$db_type"

